# Uses of Interface
org.apache.zookeeper.server.watch.IWatchManager

Packages that use IWatchManager
Package
Description
org.apache.zookeeper.server.watch

## Uses of IWatchManager in org.apache.zookeeper.server.watch

Classes in org.apache.zookeeper.server.watch that implement IWatchManager
Modifier and Type
Class
Description
`class`
`WatchManager`
This class manages watches.
`class`
`WatchManagerOptimized`
Optimized in memory and time complexity, compared to WatchManager, both the memory consumption and time complexity improved a lot, but it cannot efficiently remove the watcher when the session or socket is closed, for majority use case this is not a problem.
Methods in org.apache.zookeeper.server.watch that return IWatchManager
Modifier and Type
Method
Description
`static IWatchManager`
WatchManagerFactory.`createWatchManager()`